Term.Impl (BioJava-1.5-beta API)
Keywords: org.biojava.ontology.Term.Impl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology
Class Term.Impl

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.ontology.AbstractTerm
              org.biojava.ontology.Term.Impl

All Implemented Interfaces:
  Serializable, Annotatable, Term, Changeable

Direct Known Subclasses:
  Variable.Impl

Enclosing interface:
  Term

    public static class Term.Impl

extends AbstractTerm
implements Term, Serializable

Simple in-memory implementation of an ontology term.

See Also:
  `SimpleComparableTerm`, Serialized Form
For developers:
  This can be used to implement Ontology.createTerm

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.ontology.Term
`Term.Impl`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.ontology.Term
`ONTOLOGY`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`Term.Impl(Ontology ontology, String name, String description)`
`Term.Impl(Ontology ontology, String name, String description, Object[] synonyms)`

Method Summary
`void` | `addSynonym(Object synonym)` Add a synonym for this term.
`boolean` | `equals(Object obj)`
`Annotation` | `getAnnotation()` Should return the associated annotation object.
`String` | `getDescription()` Return a human-readable description of this term, or the empty string if none is available.
`String` | `getName()` Return the name of this term.
`Ontology` | `getOntology()` Return the ontology in which this term exists.
`Object[]` | `getSynonyms()` Return the synonyms for this term.
`int` | `hashCode()`
`void` | `removeSynonym(Object synonym)` Remove a synonym for this term.
`String` | `toString()`

Methods inherited from class org.biojava.ontology.AbstractTerm
`getChangeSupport`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### Term.Impl

    public Term.Impl(Ontology ontology,
                     String name,
                     String description)

### Term.Impl

    public Term.Impl(Ontology ontology,
                     String name,
                     String description,
                     Object[] synonyms)

Method Detail

### addSynonym

    public void addSynonym(Object synonym)

  Description copied from interface: `Term`
  Add a synonym for this term.

  Specified by:
    `addSynonym` in interface `Term`

### removeSynonym

    public void removeSynonym(Object synonym)

  Description copied from interface: `Term`
  Remove a synonym for this term.

  Specified by:
    `removeSynonym` in interface `Term`

### getSynonyms

    public Object[] getSynonyms()

  Description copied from interface: `Term`
  Return the synonyms for this term.

  Specified by:
    `getSynonyms` in interface `Term`

### getName

    public String getName()

  Description copied from interface: `Term`
  Return the name of this term.

  Specified by:
    `getName` in interface `Term`

### getDescription

    public String getDescription()

  Description copied from interface: `Term`
  Return a human-readable description of this term, or the empty string if none is available.

  Specified by:
    `getDescription` in interface `Term`

### getOntology

    public Ontology getOntology()

  Description copied from interface: `Term`
  Return the ontology in which this term exists.

  Specified by:
    `getOntology` in interface `Term`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getAnnotation

    public Annotation getAnnotation()

  Description copied from interface: `Annotatable`
  Should return the associated annotation object.

  Specified by:
    `getAnnotation` in interface `Annotatable`
  Returns:
    an Annotation object, never null

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD